Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## context.arch.service.helper
Class ServiceDescriptions

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.Vector
                        |
                        +--context.arch.service.helper.ServiceDescriptions

public class ServiceDescriptions
extends java.util.Vector

This class maintains a list of service descriptions.

See Also:
  `Service`, Serialized Form

Field Summary
`static java.lang.String` | `SERVICES` Tag for a widget's services

Fields inherited from class java.util.Vector
`capacityIncrement, elementCount, elementData`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ServiceDescriptions()` Basic empty constructor
`ServiceDescriptions(DataObject data)` Constructor that takes a DataObject as a parameter.

Method Summary
`void` | `addServiceDescription(ServiceDescription service)` Adds the given ServiceDescription object to the container.
`void` | `addServiceDescription(java.lang.String name, FunctionDescriptions descriptions)` Adds the given service description to the container.
`void` | `addServiceDescriptions(ServiceDescriptions services)` Adds the given ServiceDescriptions object to the container.
`ServiceDescription` | `getServiceDescription(java.lang.String name)` This method returns the ServiceDescription with the given name from this list of ServiceDescriptions.
`ServiceDescription` | `getServiceDescriptionAt(int index)` Returns the ServiceDescription object at the given index
`boolean` | `hasServiceDescription(ServiceDescription service)` Determines whether the given ServiceDescription object is in the container
`boolean` | `hasServiceDescription(java.lang.String name)` Determines whether a service with the given name is in the container
`boolean` | `hasServiceDescription(java.lang.String name, FunctionDescriptions descriptions)` Determines whether the given service description is in the container.
`int` | `indexOfServiceDescription(ServiceDescription service)` Returns the index at which the ServiceDescription object occurs
`int` | `indexOfServiceDescription(java.lang.String name, FunctionDescriptions descriptions)` Returns the index at which the given service description occurs
`int` | `numServiceDescriptions()` Returns the number of ServiceDescriptions in the container return the number of ServiceDescriptions in the container
`DataObject` | `toDataObject()` Converts to a DataObject.

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeRange, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVICES

    public static final java.lang.String SERVICES

  Tag for a widget's services

Constructor Detail

### ServiceDescriptions

    public ServiceDescriptions()

  Basic empty constructor

### ServiceDescriptions

    public ServiceDescriptions(DataObject data)

  Constructor that takes a DataObject as a parameter. The DataObject must contain the tag . It stores the encoded data.
  Parameters:
    `data` - DataObject that contains the service info

Method Detail

### toDataObject

    public DataObject toDataObject()

  Converts to a DataObject.
  Returns:
    Services object converted to an DataObject

### addServiceDescription

    public void addServiceDescription(ServiceDescription service)

  Adds the given ServiceDescription object to the container.
  Parameters:
    `service` - ServiceDescription to add

### addServiceDescription

    public void addServiceDescription(java.lang.String name,
                                      FunctionDescriptions descriptions)

  Adds the given service description to the container.
  Parameters:
    `name` - Name of the service to add
    `descriptions` - Descriptions of the service being added

### addServiceDescriptions

    public void addServiceDescriptions(ServiceDescriptions services)

  Adds the given ServiceDescriptions object to the container.
  Parameters:
    `services` - ServiceDescriptions to add

### getServiceDescriptionAt

    public ServiceDescription getServiceDescriptionAt(int index)

  Returns the ServiceDescription object at the given index
  Parameters:
    `index` - Index into the container
  Returns:
    ServiceDescription at the specified index

### hasServiceDescription

    public boolean hasServiceDescription(ServiceDescription service)

  Determines whether the given ServiceDescription object is in the container
  Parameters:
    `call` - ServiceDescription to check
  Returns:
    whether ServiceDescription is in the container

### hasServiceDescription

    public boolean hasServiceDescription(java.lang.String name,
                                         FunctionDescriptions descriptions)

  Determines whether the given service description is in the container.
  Parameters:
    `name` - Name of the service to check
    `descriptions` - Descriptions of the service to check
  Returns:
    whether the given service description is in the container

### hasServiceDescription

    public boolean hasServiceDescription(java.lang.String name)

  Determines whether a service with the given name is in the container
  Parameters:
    `name` - Name of the service to look for
  Returns:
    whether a service with the given name is in the container

### indexOfServiceDescription

    public int indexOfServiceDescription(ServiceDescription service)

  Returns the index at which the ServiceDescription object occurs
  Parameters:
    `service` - ServiceDescription to look for
  Returns:
    index of the specified ServiceDescription

### indexOfServiceDescription

    public int indexOfServiceDescription(java.lang.String name,
                                         FunctionDescriptions descriptions)

  Returns the index at which the given service description occurs
  Parameters:
    `name` - Name of the service to look for
    `descriptions` - Descriptions of the service to look for

### numServiceDescriptions

    public int numServiceDescriptions()

  Returns the number of ServiceDescriptions in the container return the number of ServiceDescriptions in the container

### getServiceDescription

    public ServiceDescription getServiceDescription(java.lang.String name)

  This method returns the ServiceDescription with the given name from this list of ServiceDescriptions.
  Parameters:
    `name` - of the Service to return
  Returns:
    ServiceDescription with the given name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD